petsc-3.10.5 2019-03-28
Report Typos and Errors

# AOApplicationToPetsc

Maps a set of integers in the application-defined ordering to the PETSc ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOApplicationToPetsc(AO ao,PetscInt n,PetscInt ia[])

Collective on AO

### Input Parameters

| ao | - the application ordering context
| n | - the number of integers
| ia | - the integers; these are replaced with their mapped value

### Output Parameter

ia -the mapped integers

### Note

Any integers in ia[] that are negative are left unchanged. This allows one to convert, for example, neighbor lists that use negative entries to indicate nonexistent neighbors due to boundary conditions, etc.

Integers that are out of range are mapped to -1

### Keywords

application ordering, mapping

### See Also

AOCreateBasic(), AOView(), AOPetscToApplication(),
AOPetscToApplicationIS(), AOApplicationToPetsc()

### Level

beginner

### Location

src/vec/is/ao/interface/ao.c

### Examples

src/dm/examples/tutorials/ex6.c.html

### Implementations

AOApplicationToPetsc_Basic in src/vec/is/ao/impls/basic/aobasic.c
AOApplicationToPetsc_Mapping in src/vec/is/ao/impls/mapping/aomapping.c
AOApplicationToPetsc_MemoryScalable in src/vec/is/ao/impls/memscalable/aomemscalable.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages